# WOK
TKWOK
WOKNT

# WOKNT_MixedOutput Class Reference

manages output of sub-process ( creates a pipe ).
Standard output stream and standard error stream are MIXED.

`#include <WOKNT_MixedOutput.hxx>`

Inheritance diagram for WOKNT_MixedOutput:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | WOKNT_MixedOutput ()
| creates a class instance
virtual Standard_EXPORT void | Cleanup ()
| dummy method to be used in derived class
| ~WOKNT_MixedOutput ()
Standard_EXPORT Standard_Integer | OpenStdOut ()
| creates a pipe for reading a standard output of sub-process and returns a pipe handle. Warning: returns INVALID_HANDLE_VALUE in case of failure
Standard_EXPORT void | CloseStdOut ()
| closes write end of the 'STDOUT' pipe
virtual Standard_EXPORT Standard_Integer | OpenStdErr ()
| creates a pipe for reading a standard error output of sub-process and returns a pipe handle Warning: this method is simply calling 'OpenStdOut' method
virtual Standard_EXPORT void | CloseStdErr ()
| closes write end of the 'STDERR' pipe Warning: this method is simply calling 'CloseStdOut' method
virtual Standard_EXPORT void | Clear ()
| clears output buffer of sub-process
Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | Echo ()
| returns standard output of sub-process Warning: returns NULL object if there is nothing to read
virtual Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | Errors ()
| returns standard error output of sub-process Warning: this method is simply calling 'Echo' method
Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | SyncStdOut ()
| waits for sub-process termination ( until the write end of pipe will be closed ). Warning: write end of pipe MUST BE CLOSED by parent process immediately after creation of the child process else this method will NEVER return. Use ONLY 'CloseStdOut' method for this purpose.
virtual Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | SyncStdErr ()
| same as 'SyncStdOut' method Warning: use 'CloseStdErr' method to close write end of pipe

## Protected Attributes

Standard_Integer | myOutHandle
Handle_TColStd_HSequenceOfHAsciiString | myStdOut

## Constructor & Destructor Documentation

Standard_EXPORT WOKNT_MixedOutput::WOKNT_MixedOutput | ( |  | ) |

WOKNT_MixedOutput::~WOKNT_MixedOutput | ( |  | ) | `[inline]`

## Member Function Documentation

virtual Standard_EXPORT void WOKNT_MixedOutput::Cleanup | ( |  | ) | `[virtual]`

| Reimplemented from WOKNT_ShellOutput. Reimplemented in WOKNT_OutErrOutput.

virtual Standard_EXPORT void WOKNT_MixedOutput::Clear | ( |  | ) | `[virtual]`

| Implements WOKNT_ShellOutput. Reimplemented in WOKNT_OutErrOutput.

virtual Standard_EXPORT void WOKNT_MixedOutput::CloseStdErr | ( |  | ) | `[virtual]`

| Implements WOKNT_ShellOutput. Reimplemented in WOKNT_OutErrOutput.

Standard_EXPORT void WOKNT_MixedOutput::CloseStdOut | ( |  | ) | `[virtual]`

| Implements WOKNT_ShellOutput.

Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString WOKNT_MixedOutput::Echo | ( |  | ) | `[virtual]`

| Implements WOKNT_ShellOutput.

virtual Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString WOKNT_MixedOutput::Errors | ( |  | ) | `[virtual]`

| Implements WOKNT_ShellOutput. Reimplemented in WOKNT_OutErrOutput.

virtual Standard_EXPORT Standard_Integer WOKNT_MixedOutput::OpenStdErr | ( |  | ) | `[virtual]`

| Implements WOKNT_ShellOutput. Reimplemented in WOKNT_OutErrOutput.

Standard_EXPORT Standard_Integer WOKNT_MixedOutput::OpenStdOut | ( |  | ) | `[virtual]`

| Implements WOKNT_ShellOutput.

void WOKNT_MixedOutput::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from WOKNT_ShellOutput. Reimplemented in WOKNT_OutErrOutput.

void* WOKNT_MixedOutput::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from WOKNT_ShellOutput. Reimplemented in WOKNT_OutErrOutput.

void* WOKNT_MixedOutput::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from WOKNT_ShellOutput. Reimplemented in WOKNT_OutErrOutput.

virtual Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString WOKNT_MixedOutput::SyncStdErr | ( |  | ) | `[virtual]`

| Implements WOKNT_ShellOutput. Reimplemented in WOKNT_OutErrOutput.

Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString WOKNT_MixedOutput::SyncStdOut | ( |  | ) | `[virtual]`

| Implements WOKNT_ShellOutput.

## Field Documentation

Standard_Integer WOKNT_MixedOutput::myOutHandle `[protected]`

Handle_TColStd_HSequenceOfHAsciiString WOKNT_MixedOutput::myStdOut `[protected]`

The documentation for this class was generated from the following file:

- WOKNT_MixedOutput.hxx